Moodle
  1. Moodle
  2. MDL-18847

[Patch] Using charset on sybase driver in adodb

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 1.9.4
    • Fix Version/s: DEV backlog
    • Component/s: Libraries
    • Labels:
    • Difficulty:
      Easy
    • Affected Branches:
      MOODLE_19_STABLE
    • Rank:
      2373

      Description

      Using the Sybase driver, we found that the driver doesn't allow us to set the connection charset.
      To solve it, we have included a fourth and optional param to Connect method that verifies if the $charSet class attribute is a string.

      This improvement has already been sent to adodb http://phplens.com/lens/lensforum/msgs.php?id=17938

      The patch is attached.

      1. patch
        0.8 kB
        Luis Henrique Mulinari

        Activity

        Hide
        Petr Škoda added a comment -

        Oh, Sybase is not supported/tested at all. Does it work?

        Show
        Petr Škoda added a comment - Oh, Sybase is not supported/tested at all. Does it work?
        Hide
        Daniel Neis added a comment -

        hello, the original submitter (Luis Henrique Mulinari) works with me in a project for Federal University of Santa Catarina.
        We haven't tested moodle on sybase, we just have made a module that interacts with an external sybase database.

        Show
        Daniel Neis added a comment - hello, the original submitter (Luis Henrique Mulinari) works with me in a project for Federal University of Santa Catarina. We haven't tested moodle on sybase, we just have made a module that interacts with an external sybase database.
        Hide
        Daniel Neis added a comment -

        Hello,
        altough this patch was accepted in adodb for php5 (http://sourceforge.net/project/shownotes.php?release_id=676483), i think it will not be the case in adodb for php4, so IMHO this issue can be closed.

        Show
        Daniel Neis added a comment - Hello, altough this patch was accepted in adodb for php5 ( http://sourceforge.net/project/shownotes.php?release_id=676483 ), i think it will not be the case in adodb for php4, so IMHO this issue can be closed.
        Hide
        Dan Marsden added a comment -

        closing as requested - thanks

        Show
        Dan Marsden added a comment - closing as requested - thanks

          People

          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: